[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TBCDField.Precision

Precision of the BCD field

## Declaration

Source position: db.pas line 804

`published property TBCDField.Precision : LongInt read FPrecision write FPrecision;`

## Description

Precision is the total number of decimals in the BCD value. It is not the same as TBCDField.Size, which is the number of decimals after the decimal point. The Precision property should be set by the descendent classes when they initialize the field, and should be considered read-only. Changing the value will influence the values returned by the various AsXXX properties.

## See also

TBCDField.Size |  | Number of decimals after the decimal separator
TBCDField.Value |  | Value of the field contents as a Currency type

Documentation generated on: Feb 26 2014